Site news

General news and announcements

DiscussionStarted byRepliesLast post
Easter Break Picture of ICEP Support ICEP Support 0 ICEP Support
Tue, 16 Apr 2019, 11:55 AM
Module Choice Registration Semester C May 2019. Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 22 Mar 2019, 3:13 PM
National Holiday: St Patricks Weekend Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 15 Mar 2019, 12:23 PM
September 2018 Modules: Provisional Results Live Now Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 31 Jan 2019, 12:04 PM
Office Closed for Holidays Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 21 Dec 2018, 2:46 PM
Module Choice Registration Form for SEMB January 2019 Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 13 Dec 2018, 8:49 AM
October Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 25 Oct 2018, 11:43 AM
August Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 2 Aug 2018, 9:53 AM
Module Choice Registration Form SEM A September 2018 intake. Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 14 Jun 2018, 3:20 PM
Module Choice Registration Form for SEMC May 2018 intake. Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 20 Apr 2018, 10:40 AM
Easter Break Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 29 Mar 2018, 11:51 AM
National Holiday- St Patricks Weekend Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 16 Mar 2018, 12:10 PM
Provisional September 2017 Results Live Now Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 1 Feb 2018, 10:32 AM
Office Closed for Holidays Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 21 Dec 2017, 3:58 PM
Mid-Point Evaluation Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 24 Nov 2017, 9:41 AM
Module Registration January 2018 intake. Picture of ICEP Support ICEP Support 0 ICEP Support
Tue, 7 Nov 2017, 3:11 PM
October Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 26 Oct 2017, 9:56 AM
Downtime Resolved Picture of ICEP Support ICEP Support 0 ICEP Support
Mon, 25 Sep 2017, 1:00 PM
August Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 4 Aug 2017, 3:58 PM
Module Registration September 2017 intake. Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 16 Jun 2017, 1:42 PM
January 2017 Modules: Results Now Live Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 18 May 2017, 12:40 PM
Personal Tutor Details Picture of ICEP Support ICEP Support 0 ICEP Support
Wed, 10 May 2017, 12:57 PM
Important Notice; Continuing Students Picture of ICEP Support ICEP Support 0 ICEP Support
Mon, 8 May 2017, 11:39 AM
May Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 28 Apr 2017, 3:52 PM
Easter Break Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 13 Apr 2017, 11:15 AM
Site Maintenance Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 24 Mar 2017, 4:16 PM
National Holiday - St.Patrick's Day Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 16 Mar 2017, 10:41 AM
Important Notice; new and existing students Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 10 Feb 2017, 9:26 AM
Office Closed for Holidays Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 22 Dec 2016, 2:53 PM
October Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 28 Oct 2016, 12:45 PM
Gentle Reminder Picture of ICEP Support ICEP Support 0 ICEP Support
Mon, 22 Aug 2016, 9:46 AM
Instructional Videos Picture of ICEP Support ICEP Support 0 ICEP Support
Tue, 7 Jun 2016, 11:58 AM
June Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 3 Jun 2016, 2:55 PM
May Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 29 Apr 2016, 4:04 PM
Easter Break Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 24 Mar 2016, 9:22 AM
St Patricks Day Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Wed, 16 Mar 2016, 4:05 PM
Office Closed for Holidays Picture of ICEP Support ICEP Support 0 ICEP Support
Wed, 23 Dec 2015, 12:43 PM
Assignment Reminder Picture of ICEP Support ICEP Support 0 ICEP Support
Wed, 16 Dec 2015, 11:36 AM
Evaluation Reminder Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 11 Dec 2015, 4:42 PM
October Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 23 Oct 2015, 8:37 AM
Gentle Reminder Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 14 Aug 2015, 9:37 AM
August Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 31 Jul 2015, 9:18 AM
Module Evaluation Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 11 Jun 2015, 9:44 AM
June Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Fri, 29 May 2015, 3:43 PM
Mayday Bank Holiday Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 30 Apr 2015, 11:42 AM
Easter Break Picture of ICEP Support ICEP Support 0 ICEP Support
Thu, 2 Apr 2015, 11:57 AM